<?php
/**
 * P131 クエリストリングに応じてレスポンスが変化するAPIモックサーバ
 */
if (!preg_match('#\A/memo/?\z#', $_SERVER['PATH_INFO'], $matches)) {
    header('HTTP/1.1 404 Not Found');
    exit;
}
$limit = $_GET['limit'] ?? '100';
if (!ctype_digit($limit)) {
    header('HTTP/1.1 400 Bad Request');
    exit;
}
$response = [];
for ($i = 1; $i <= $limit; $i++) {
    $response[] = [
        'id' => $i,
        'memo' => 'memo' . $i,
    ];
}
header('Content-Type: application/json; charset=utf-8');
echo json_encode($response);
