<?php
/**
 * P132 POSTを受け付けるAPIモックサーバ
 */
if ($_SERVER['REQUEST_METHOD'] !== 'POST') {
    header('HTTP/1.1 405 Method Not Allowed');
    exit;
}
if (!preg_match('#\A/memo/?\z#', $_SERVER['PATH_INFO'], $matches)) {
    header('HTTP/1.1 404 Not Found');
    exit;
}
if (!isset($_POST['memo'])) {
    header('HTTP/1.1 400 Bad Request');
    exit;
}
$response = [
    'id' => rand(1, 1000),
    'memo' => $_POST['memo'],
];
header('Content-Type: application/json; charset=utf-8');
echo json_encode($response);
