<?php
/**
 * P133 JSONフォーマットのPOSTを受け付けるAPIモックサーバ
 */
if ($_SERVER['REQUEST_METHOD'] !== 'POST') {
    header('HTTP/1.1 405 Method Not Allowed');
    exit;
}
if (!preg_match('#\A/memo/?\z#', $_SERVER['PATH_INFO'], $matches)) {
    header('HTTP/1.1 404 Not Found');
    exit;
}
$json = json_decode(file_get_contents('php://input'), true);
if ($json === null || !isset($json['memo'])) {
    header('HTTP/1.1 400 Bad Request');
    exit;
}
$response = [
    'id' => rand(1, 1000),
    'memo' => $json['memo'],
];
header('Content-Type: application/json; charset=utf-8');
echo json_encode($response);
